mergeCase¶
MUTATIONmergeCase
Cases GraphQL API · Mutations
mergeCase associates source evidence to a target case. Source cases are transitioned and may be archived. Evidence association is asynchronous.
Request samples¶
curl -X POST "https://api.taegis.sophos.com/graphql" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"query\": \"mutation MergeCase(\$input: MergeCaseInput!) { mergeCase(input: \$input) { targetCaseId sourceCaseIds processingEventId } }\",
\"variables\": {
\"input\": {
\"targetCaseId\": \"<targetCaseId>\",
\"sourceCaseIds\": [
\"<sourceCaseIds>\"
]
}
}
}"
import requests
response = requests.post(
"https://api.taegis.sophos.com/graphql",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={ 'query': 'mutation MergeCase($input: MergeCaseInput!) { mergeCase(input: '
'$input) { targetCaseId sourceCaseIds processingEventId } }',
'variables': { 'input': { 'targetCaseId': '<targetCaseId>',
'sourceCaseIds': ['<sourceCaseIds>']}}},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"query": "mutation MergeCase($input: MergeCaseInput!) { mergeCase(input: $input) { targetCaseId sourceCaseIds processingEventId } }",
"variables": {
"input": {
"targetCaseId": "<targetCaseId>",
"sourceCaseIds": [
"<sourceCaseIds>"
]
}
}
}'
Invoke-RestMethod -Method POST -Uri "https://api.taegis.sophos.com/graphql" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("POST", "https://api.taegis.sophos.com/graphql", strings.NewReader(`{
"query": "mutation MergeCase($input: MergeCaseInput!) { mergeCase(input: $input) { targetCaseId sourceCaseIds processingEventId } }",
"variables": {
"input": {
"targetCaseId": "<targetCaseId>",
"sourceCaseIds": [
"<sourceCaseIds>"
]
}
}
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.taegis.sophos.com/graphql", {
method: "POST",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"query": "mutation MergeCase($input: MergeCaseInput!) { mergeCase(input: $input) { targetCaseId sourceCaseIds processingEventId } }",
"variables": {
"input": {
"targetCaseId": "<targetCaseId>",
"sourceCaseIds": [
"<sourceCaseIds>"
]
}
}
}),
});
const data = await response.json();
console.log(data);